
local oo            = require("loop.simple")

local log           = require("jive.utils.log").logger("applets.misc")
local AppletMeta    = require("jive.AppletMeta")

local appletManager = appletManager
local jiveMain      = jiveMain


module(...)
oo.class(_M, AppletMeta)


function jiveVersion(meta)
   return 1, 1
end

function defaultSettings(self)
    return {
        _VUDU_IP = "0.0.0.0"
    }
end

function registerApplet(meta)
   log:info("adding netremote applet");
   jiveMain:addItem(meta:menuItem('netRemote', 'extras', "Vudu NetRemote", function(applet, ...) applet:NetRemote(...) end))
   jiveMain:addItem(meta:menuItem('setNetRemoteIp', 'advancedSettings', "VUDU NetRemote IP", function(applet, ...) applet:SetNetRemoteIp(...) end))
end


--[[

=head1 LICENSE

Copyright 2007 Logitech. All Rights Reserved.

This file is subject to the Logitech Public Source License Version 1.0. Please see the LICENCE file for details.

=cut
--]]

